A new user interface for you! Read more...

File exo-revert-gnome-3.22-req.diff of Package exo

diff --git a/configure b/configure
index 6cfbfa7..cc15d47 100755
--- a/configure
+++ b/configure
@@ -15998,9 +15998,9 @@ fi
 
 
 
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for gtk+-3.0 >= 3.22.0" >&5
-$as_echo_n "checking for gtk+-3.0 >= 3.22.0... " >&6; }
-  if $PKG_CONFIG "--atleast-version=3.22.0" "gtk+-3.0" >/dev/null 2>&1; then
+  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for gtk+-3.0 >= 3.20.0" >&5
+$as_echo_n "checking for gtk+-3.0 >= 3.20.0... " >&6; }
+  if $PKG_CONFIG "--atleast-version=3.20.0" "gtk+-3.0" >/dev/null 2>&1; then
     GTK3_VERSION=`$PKG_CONFIG --modversion "gtk+-3.0"`
     { $as_echo "$as_me:${as_lineno-$LINENO}: result: $GTK3_VERSION" >&5
 $as_echo "$GTK3_VERSION" >&6; }
@@ -16017,7 +16017,7 @@ $as_echo_n "checking GTK3_LIBS... " >&6; }
     { $as_echo "$as_me:${as_lineno-$LINENO}: result: $GTK3_LIBS" >&5
 $as_echo "$GTK3_LIBS" >&6; }
 
-    GTK3_REQUIRED_VERSION=3.22.0
+    GTK3_REQUIRED_VERSION=3.20.0
 
 
 
@@ -16033,7 +16033,7 @@ $as_echo "found, but $xdt_cv_version" >&6; }
 
       echo "*** The required package gtk+-3.0 was found on your system,"
       echo "*** but the installed version ($xdt_cv_version) is too old."
-      echo "*** Please upgrade gtk+-3.0 to atleast version 3.22.0, or adjust"
+      echo "*** Please upgrade gtk+-3.0 to atleast version 3.20.0, or adjust"
       echo "*** the PKG_CONFIG_PATH environment variable if you installed"
       echo "*** the new version of the package in a nonstandard prefix so"
       echo "*** pkg-config is able to find it."
@@ -16045,7 +16045,7 @@ $as_echo "not found" >&6; }
 
 
       echo "*** The required package gtk+-3.0 was not found on your system."
-      echo "*** Please install gtk+-3.0 (atleast version 3.22.0) or adjust"
+      echo "*** Please install gtk+-3.0 (atleast version 3.20.0) or adjust"
       echo "*** the PKG_CONFIG_PATH environment variable if you"
       echo "*** installed the package in a nonstandard prefix so that"
       echo "*** pkg-config is able to find it."
diff --git a/configure.ac b/configure.ac
index 0de5ceb..388a834 100644
--- a/configure.ac
+++ b/configure.ac
@@ -171,7 +171,7 @@ dnl ***********************************
 XDT_CHECK_PACKAGE([GLIB], [glib-2.0], [2.42.0])
 XDT_CHECK_PACKAGE([GIO], [gio-2.0], [2.42.0])
 XDT_CHECK_PACKAGE([GTK], [gtk+-2.0], [2.24.0])
-XDT_CHECK_PACKAGE([GTK3], [gtk+-3.0], [3.22.0])
+XDT_CHECK_PACKAGE([GTK3], [gtk+-3.0], [3.20.0])
 XDT_CHECK_PACKAGE([GTHREAD], [gthread-2.0], [2.42.0])
 XDT_CHECK_PACKAGE([LIBXFCE4UTIL], [libxfce4util-1.0], [4.12.0])
 XDT_CHECK_PACKAGE([LIBXFCE4UI], [libxfce4ui-1], [4.12.0])